package system

import "github.com/gin-gonic/gin"

type OperationRecordRouter struct {
}

func (o *OperationRecordRouter) InitOperationRecordRouter(Router *gin.RouterGroup) {
	operationRecordRouter := Router.Group("operationRecord")
	{
		operationRecordRouter.POST("createOperationRecord", operationRecordApi.CreateOperationRecord) // 新增操作记录
		operationRecordRouter.GET("getOperationRecordList", operationRecordApi.GetRecordList)         // 获取操作记录列表
		operationRecordRouter.GET("getOperationRecordById", operationRecordApi.GetRecordById)         // 获取操作记录
		operationRecordRouter.DELETE("delete", operationRecordApi.DeleteRecordsByIds)                 // 批量删除操作记录
	}
}
